### Function

# GLib unicode_canonical_ordering

#### Declaration

    void
    g_unicode_canonical_ordering (
      gunichar* string,
      gsize len
    )

#### Description

Computes the canonical ordering of a string in-place. This rearranges decomposed characters in the string according to their combining classes. See the Unicode manual for more information.

#### Parameters

`string`

  Type: An array of `gunichar`

  A UCS-4 encoded string.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.

`len`

  Type: `gsize`

  The maximum length of `string` to use.